%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/bwesterb/go-ristretto
Version:                1.2.3

%gometa

%global common_description %{expand:
Pure Go implementation of the Ristretto prime-order group over Edwards25519.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Pure Go implementation of the Ristretto prime-order group over Edwards25519

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.2.3-2
- Rebuilt for loongarch64

* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
